﻿#language: ru

Функционал: 02_milk_production. Заполнение справочника Типы тары

Сценарий: 02_milk_production. Создание тары Коробка
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Коробка'
	И я устанавливаю флаг 'Используется для упаковочных листов'
	И в поле 'Цифра расширения SSCC' я ввожу текст '5'
	И в поле 'Вес' я ввожу текст '0,500'
	И я устанавливаю флаг 'Фиксированный вес'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Пакет
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Пакет'
	И в поле 'Вес' я ввожу текст '0,020'
	И я устанавливаю флаг 'Фиксированный вес'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Рама
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Рама'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна 'Типы тары' в течение 20 секунд
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Китаянка
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Китаянка'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Полка
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Полка'
	И в поле 'Вес' я ввожу текст '0,600'
	И я устанавливаю флаг 'Фиксированный вес'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Палка
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Палка'
	И я устанавливаю флаг 'Фиксированный вес'
	И в поле с именем 'Вес' я ввожу текст '0,200'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: Сценарий: 02_milk_production. Заполнение веса контейнера
	И В командном интерфейсе я выбираю 'Производство' 'Контейнеры'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	Затем я жду, что в сообщениях пользователю будет подстрока "не заполнено" в течение 10 секунд
	И Я закрываю окно 'Контейнеры'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Контейнер'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Контейнер (Тип тары)'
	И в поле с именем 'Вес' я ввожу текст '0,100'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контейнер (Тип тары)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Пустая тара
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Пустая тара'
	И в поле с именем 'Вес' я ввожу текст '0,200'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: 02_milk_production. Создание тары Политоварные рамы
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Политоварные рамы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'
	И Я закрыл все окна клиентского приложения